/**
 * When ObserveAttribute is added to a property in a custom element,
 * any changes made on the attribute (through DOM or setAttribute) are reflected back to the class property
 *
 * When set to true, then any changes done on the property programmatically are reflected on the attribute
 *
 * @param reflectToAttribute when true, reflect property changes to its attribute
 */
export declare function ObserveAttribute(reflectToAttribute?: boolean): PropertyDecorator;
